#!/usr/bin/env zsh


PROJECT=dodb.cr
GIT=$(cat payload.json | jq '.repository.clone_url')
ENV=debian
SPECS=("crystal spec spec/test.cr --tap")

echo $GIT

git clone $GIT
cd $PROJECT

shards install
shards build

REV=$(git rev-parse HEAD)

for i in ${SPECS[*]}
do
	echo $i
	/bin/sh -c $i | ../tap-aggregator add $PROJECT $ENV $REV
done

exit 1
